org.apache.cassandra.cql3.selection

## Class Selection.ResultSetBuilder

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selection.ResultSetBuilder

Enclosing class:
  Selection

    public class Selection.ResultSetBuilder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.nio.ByteBuffer v)`
`void` `add(Cell c)`
`ResultSet` `build(int protocolVersion)`
`void` `newRow(int protocolVersion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public void add(java.nio.ByteBuffer v)

#### add

    public void add(Cell c)

#### newRow

    public void newRow(int protocolVersion)
                throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### build

    public ResultSet build(int protocolVersion)
                    throws InvalidRequestException

Throws:
  `InvalidRequestException`